<?php

namespace Drupal\reader\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

class ReaderSearchForm extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'reader_search_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form = [];

    $form['keyword'] = [
      '#type' => 'textfield',
      '#placeholder' => $this->t('Search'),
      '#title' => $this->t('Search'),
      '#title_display' => 'hidden',
      '#required' => TRUE,
      '#default_value' => !empty($_GET['keyword']) ? $_GET['keyword'] : '',
    ];

    $form['submit'] = [
      '#type' => 'submit',
      '#value' => $this->t('Search'),
    ];

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $form_state->setRedirect('reader.search', [], ['query' => ['keyword' => $form_state->getValue('keyword')]]);
  }

}
